// pages/moreOrder/moreOrder.js
const { default: api } = require("../../js/api");
const util = require('../../utils/util.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    buttonMessage2:'去支付',
    orders:[],
    stationName:'',
    nozzleId:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    console.log("更多订单页",options)
    this.setData({
      stationName:options.stationName,
      nozzleId:options.nozzle
    })
    this.getOrder()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {
    this.getOrder()
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  
  /** 点击去支付 */
  toPay(event) {
    console.log(event)
    const eventChannel = this.getOpenerEventChannel()
    eventChannel.emit('acceptOrderFromMoreOrder', event.detail.order);
    wx.navigateBack()
    //跳转回支付页
  },

  /** 获取订单信息 */
  getOrder() {
    wx.showLoading({
      title: '获取更多订单',
    })
    api.request_GetMiniProgramTransactionsUnpaidNozzle(Number(this.data.nozzleId))
    .then(res => {
      console.log("获取到未支付订单",res)
      wx.hideLoading()
      wx.stopPullDownRefresh()
      var datas = res.data.data;
      var getOrders = datas.map(order => {
        var time = util.formatDateNotSecond(order.fuelItemTransactionEndTime);
        return {
          oilName:order.productName,
          nozzle:order.nozzleId,
          volume:order.originalQty,
          amount:order.originalAmount,
          payAmount:order.actualPaymentAmount,
          discount:order.originalAmount - order.actualPaymentAmount,
          orderId:order.id,
          time:time,
          station:this.data.stationName
        }
      })
      
      this.setData({
        orders:getOrders
      })
      
    }).catch(err => {
      console.log("未获取到未支付订单")
      wx.showModal({
        title: '提示',
        content: '目前暂未获取到未支付订单',
      })
    })
  },
})